import { jsx as _jsx, jsxs as _jsxs } from "@emotion/react/jsx-runtime";
import PropTypes from "prop-types";
import { useTheme } from "../../Theme/Providers";
export const IconFilm = ({ color: providedColor, size: providedSize = "md", ...other }) => {
    const theme = useTheme();
    const size = typeof providedSize === "string"
        ? theme.iconSizes[providedSize]
        : providedSize;
    const color = providedColor || theme.colors.text.default;
    return (_jsxs("svg", { viewBox: "0 0 24 24", fill: "none", stroke: color, strokeWidth: "2", strokeLinecap: "round", strokeLinejoin: "round", height: size, width: size, ...other, children: [_jsx("rect", { x: "2", y: "2", width: "20", height: "20", rx: "2.18", ry: "2.18" }), _jsx("line", { x1: "7", y1: "2", x2: "7", y2: "22" }), _jsx("line", { x1: "17", y1: "2", x2: "17", y2: "22" }), _jsx("line", { x1: "2", y1: "12", x2: "22", y2: "12" }), _jsx("line", { x1: "2", y1: "7", x2: "7", y2: "7" }), _jsx("line", { x1: "2", y1: "17", x2: "7", y2: "17" }), _jsx("line", { x1: "17", y1: "17", x2: "22", y2: "17" }), _jsx("line", { x1: "17", y1: "7", x2: "22", y2: "7" })] }));
};
IconFilm.propTypes = {
    color: PropTypes.string,
    size: PropTypes.oneOfType([
        PropTypes.oneOf(["xs", "sm", "md", "lg", "xl"]),
        PropTypes.number
    ])
};
//# sourceMappingURL=IconFilm.js.map